export interface PageResult<T = unknown> {
  pageSize: number;
  pageNumber: number;
  totalCount: number;
  pageCount: number;
  result: Array<T>;
}
export type PageParams<T = unknown> = T & {
  pageNumber: number;
  pageSize: number;
  sortProp?: string;
  sortOrder?: 'asc' | 'desc';
};

// page
export interface AbleParams {
  id: number;
  enable: boolean;
}

// 遮盖区域
export interface CoverArea {
  i: number;
  x: number;
  y: number;
  w: number;
  h: number;
}

export interface CommonActionRes {
  success: boolean;
  message: string;
}
