import { AppRouteRecordRaw } from '../types';

const routes: AppRouteRecordRaw = {
  path: '/login-home',
  component: () => import('@/views/login/home.vue'),
  children: [
    {
      path: '/login',
      name: 'Login',
      component: () => import('@/views/login/login.vue'),
      meta: {
        title: '登录',
        requiresAuth: false,
      },
    },
    {
      path: '/switch-exam',
      name: 'SwitchExam',
      component: () => import('@/views/login/SwitchExam.vue'),
      meta: {
        title: '切换考试',
        requiresAuth: true,
      },
    },
    {
      path: '/reset-info',
      name: 'ResetInfo',
      component: () => import('@/views/login/ResetInfo.vue'),
      meta: {
        title: '修改个人信息',
        requiresAuth: true,
      },
    },
    {
      path: '/select-mark-group',
      name: 'SelectMarkGroup',
      component: () => import('@/views/login/SelectMarkGroup.vue'),
      meta: {
        title: '选择评卷科目',
        requiresAuth: true,
      },
    },
  ],
};

export default routes;
